/*
 * macCellItr.h --
 *
 *    Wei-ming Dai
 *    June Wang
 *    (Prof. E. S. Kuh)
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: macCellItr.h,v 1.1 87/02/04 14:05:22 weiming Exp $
 */

#ifndef _MAC_CELL_ITR
#define _MAC_CELL_ITR

extern BearStatus Mac_ItrChildrenOfCell(/* cellMasterPtr, func, clientData */);
/*
 * CellMaster *cellMasterPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrInstOfCell(/* cellMasterPtr, func, clientData */);
/*
 * CellMaster *cellMasterPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrPortOfCellMaster(/* cellMasterPtr, func, clientData */);
/*
 * CellMaster *cellMasterPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrPinOfCellMaster(/* cellMasterPtr, func, clientData */);
/*
 * CellMaster *cellMasterPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrPortOfCellInst(/* cellInstPtr, func, clientData */);
/*
 * CellInst   *cellInstPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrPinOfCellInst(/* cellInstPtr, func, clientData */);
/*
 * CellInst   *cellInstPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus 
Mac_ItrPinOfIntervalOnCellBnd(/* cellInstPtr, interval, func, clientData */);
/*
 * CellInst   *cellInstPtr;
 * Line       interval;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrNetOfCell(/* cellMasterPtr, func, clientData */);
/*
 * CellMaster *cellMasterPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrRCellOfCell(/* cellMasterPtr, func, clientData */);
/*
 * CellMaster *cellMasterPtr;
 * BearStatus (*func)();
 * ClientData clientData;
 */

#endif _MAC_CELL_ITR
