
#ifndef _RDB_MAIN
#define _RDB_MAIN

extern BearStatus Rdb_Begin();

extern BearStatus Rdb_InputRMod(/* inFileName, rModPtr */);
/*
 * BearString inFileName;
 * module     *rModPtr;
 */

extern BearStatus Rdb_OutputRMod(/* outFileName, rModPtr */);
/*
 * BearString outFileName;
 * module     *rModPtr;
 */

extern Point *Rdb_GetOriginOfRMod(/* rModPtr */); 
/*
 * module *rModPtr;
 */

/* --------------------- Macros ---------------------- */

#define Rdb_LocxyToPoint(locxyPtr, pointPtr) \
{ \
    (pointPtr)->p_x = (locxyPtr)->xy[0]; \
    (pointPtr)->p_y = (locxyPtr)->xy[1]; \
}

#define Rdb_PointToLocxy(pointPtr, locxyPtr) \
{ \
    (locxyPtr)->xy[0] = (pointPtr)->p_x; \
    (locxyPtr)->xy[1] = (pointPtr)->p_y; \
}

#define Rdb_GetLocxyOfTerm(termPtr) \
    ((termPtr)->mp->geop->gtp[(termPtr)->tnum].loc)

#define Rdb_GetVertexArrayOfMod(modPtr) \
    ((modPtr)->geop->bndp)

#define Rdb_GetVertexCountOfMod(modPtr) \
    ((modPtr)->geop->lbndp)

#endif _RDB_MAIN

