
/* bguCifPlot.h --
 *
 *     George Carvalho, Esq.
 *     (Advising Professor - E. S. Kuh)
 *
 * Copyright (C) 1987 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header$
 */

#ifndef _BGUCIFPLOT
#define _BGUCIFPLOT /* once-only latch */

typedef struct _DrawCif DrawCif;
struct _DrawCif {
    Window      win;
    double      (*scrMatrix)[4];
    char        *fileNamePtr;
    int         options;
};

/* options */
#define BGU_CHECKSUBWIN 01          /* check sub-window */
#define BGU_CIFFILE 02
#define BGU_ENTIRE_CHIP 04
#define BGU_CALC_VIEW_TRANS 010

/* ---------- External procedures for the xCifPlot module ---------- */

extern BearStatus Bgu_DrawCifPlot(/* drawCifPtr */);
/*
 * DrawCif *drawCifPtr;
 */

extern BearStatus Bgu_GetCifPlotBnd(/* cifFileNamePtr, imageBndPtr */);
/*
 * char *cifFileNamePtr;
 * Rect *imageBndPtr;
 */

#endif /* _BGUCIFPLOT */

