
/*
 * plArrays.h --
 *
 * Bernhard Eschermann
 *
 */


#ifndef _PL_ARRAYS
#define _PL_ARRAYS


/* template function arrays */

extern int  (*(plNonAdjacencyFuncArray[]))();
extern int  (*(plDimOfRoomsFuncArray[]))();
extern void (*(plNodeTransFuncArray[]))();
extern void (*(plNodeDimFuncArray[]))();


/* arrays of characteristic numbers of templates */

extern int  plFactArray[];
extern int  plFloorplanSizeArray[];
extern int  plSymmetric[];
extern int  plGoalAssignTable [][4];
extern int  plRoomAssignTable [][5];
extern int  plDirectionTable [][4];

extern char *plInDir[][MAX_CHILDREN][4];
extern char *plNeighb[][MAX_CHILDREN][4];
extern char *plRoutingInfo[];

#endif _PL_ARRAYS
