/*
 * runstats.h --
 *
 * Flags to RunStats()
 *
 * Copyright (C) 1983 Regents of the University of California
 * All rights reserved.
 *
 * sccsid @(#)runstats.h    4.2 MAGIC (Berkeley) 8/20/85
 */

#define _RUNSTATS

#define RS_TCUM     01  /* Cumulative user and system time */
#define RS_TINCR    02  /* User and system time since last call */
#define RS_MEM      04  /* Size of heap area */

extern char *RunStats();
extern char *RunStatsRealTime();
