
#ifndef _BEAR_MALLOC
#define _BEAR_MALLOC

#include <malloc.h>
#include "mm.h"
#include "bear_mm.h"


#ifdef DEBUG

#define MALLOC(type, pt, nbytes) \
    (pt) = (type) malloc(nbytes); bzero((char *) (pt), (nbytes)) 

#else

#define MALLOC(type, pt, nbytes) \
    (pt) = (type) malloc(nbytes)

#endif DEBUG
    
#define FREE(cp) free(cp)

#endif /* _BEAR_MALLOC */

