
/*
 * soUtil.h -
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header$
 */

#ifndef _SO_UTIL
#define _SO_UTIL

/* --------------- So Primitives --------------- */

extern int SoGetHorzPosSlack (/* tilePtr */);
/*
Tile       *tilePtr;
*/

extern void SoPutHorzPosSlack (/* posSlack, tilePtr */);
/*
Tile       *tilePtr;
int        posSlack;
*/

extern int SoGetHorzNegSlack (/* tilePtr */);
/*
Tile       *tilePtr;
*/

extern void SoPutHorzNegSlack (/* negSlack, tilePtr */);
/*
Tile       *tilePtr;
int        negSlack;
*/

extern int SoGetVertPosSlack (/* tilePtr */);
/*
Tile       *tilePtr;
*/

extern void SoPutVertPosSlack (/* posSlack, tilePtr */);
/*
Tile       *tilePtr;
int        posSlack;
*/

extern int SoGetVertNegSlack (/* tilePtr */);
/*
Tile       *tilePtr;
*/

extern void SoPutVertNegSlack (/* negSlack, tilePtr */);
/*
Tile       *tilePtr;
int        negSlack;
*/

extern CritTileInfo SoGetCritTileInfo (/* prefDir */);
/*
PlaneDirection  prefDir;
*/

extern  SoStatus SoShapeFunc(/* critTileInfo, design, resizeDeltaPtr */);
/*
Tile    *tilePtr;
Design  design;
Point   *resizeDeltaPtr;
*/

#endif _SO_UTIL
