
/* macPrint.h --
 *
 *     Wei-Ming Dai
 *     (Advising Professor - E. S. Kuh)
 *
 * Copyright (C) 1987 Regents of the University of California
 * All rights reserved.
 *
 * needs: mac.h
 * 
 * rcsid $Header$
 */

#ifndef _MAC_PRINT
#define _MAC_PRINT

extern void Mac_PrintTransform(/* trans */);
/* Transform *trans; */

extern void Mac_PrintPoint(/* point */);
/* Point *point; */

extern void Mac_PrintPointList(/* trans, pointList */);
/*
 * Transform    *trans;
 * LinkedPoint  *pointList;
 */

extern void Mac_PrintRect(/* rect */);
/* Rect *rect; */

extern void Mac_PrintRectList(/* trans, rectList */);
/*
 * Transform    *trans;
 * LinkedRect   *rectList;
 */

extern BearStatus Mac_PrintPinInst(/* pinInstPtr, clientData */);
/*
 * PinInst     *pinInstPtr;
 * ClientData  clientData;
 */

extern BearStatus Mac_PrintRPin(/* rPinPtr, clientData */);
/*
 * RoutePin    *rPinPtr;
 * ClientData  clientData;
 */

extern BearStatus Mac_PrintGPin(/* gPinPtr, clientData */);
/*
 * GenericPin  *gPinPtr;
 * ClientData  clientData;
 */

extern void Mac_PrintPPinListsOfRouteCell(/* rcellPtr, netPtr */);
/*
 * RouteCell   *rcellPtr;
 * Net         *netPtr;
 */

extern void MacPrintPinError();

#endif _MAC_PRINT

