



extern BearStatus Gr_ReadPinsOfNet(),Gr_GetPinOfPortInfo();
extern BearStatus Gr_ReadVertBnLine();
extern BearStatus Gr_ReadHorzBnLine();
extern BearStatus Gr_Read_Main();
extern BearStatus Gr_InitializeSubNets();
extern BearStatus Gr_MkeRegions();

extern grBlock *Gr_GetBlockPtrFromBitValue();

extern grBnLine *Gr_CreateBnLine();

extern BearId Gr_GetNewSubNetName();

extern int Gr_BreakLoops();
extern int Gr_GetDistBetweenSortPins();
extern int Gr_GetDistanceBetweenPoints();
extern int Gr_GetFirstHoleAbove();
extern int Gr_GetFirstHoleRight();
extern int Gr_GetLastHoleBelow();
extern int Gr_GetLastHoleLeft();
extern int Gr_GetXPPinInHorzHole();
extern int Gr_GetYPPinInHorzHole();
extern int Gr_GetYPPinInVertHole();
extern int Gr_GetXVirtPosOfAbsPos();
extern int Gr_GetYVirtPosOfAbsPos();
extern int Gr_GetXPPinInVertHole();
extern int Gr_CalculateEscapeCost();
extern int Gr_CalculateHorizontalPortionOfTree();
extern int Gr_CalculateVerticalPortionOfTree();
extern int Gr_ContinuePullFromDeadRegion();
extern int Gr_CountTraces();
extern int Gr_IsHorzStripOpaque();
extern int Gr_IsPairActive();
extern int Gr_HorzSweepDeadRegions();
extern int Gr_VertSweepDeadRegions();
extern int Gr_IsAssignmentPossible();
extern int Gr_IsVertStripOpaque();
extern int Gr_IsPinInDeadRegion();
extern int Gr_PinRectangleInDeadRegion();
extern int Gr_IsPinRectangleFullyContainedInDeadRegion();
extern int Gr_PullAssignment();
extern int Gr_IsSortedPinInsideBlock();
extern int Gr_IsRoomBtn();
extern int Gr_SetUpSceneForLinearAssignment();
extern int Gr_DecompressProportionallyCutCapacity();
extern int Gr_AreVNetsIntermingled();
extern int Gr_SqueezDCells();

extern void Gr_AttachPinRectangleToDecomposed();
extern void Gr_AddFixedLengthsForBtnNets();
extern void Gr_Augmentation();
extern void Gr_AssignRoomToPin();
extern void Gr_AssignRoomToPPin();
extern void Gr_LSAssign();
extern void Gr_LeftHorz();
extern void Gr_LeftVert();
extern void Gr_PrtSoln();
extern void Gr_CalculateBtnEstimates();
extern void Gr_CalculateGreedyWeightsForVirtualNets();
extern void Gr_CalculateLinearLengthWeightsForPreferedBox();
extern void Gr_CheckIfPullNeeded();
extern void Gr_CollectDataAfterAssignment();
extern void Gr_CollectDataInDeadRegion();
extern void Gr_CombineSuperNodesOfSubNet();
extern void Gr_CreateNewRegionsInLayer();
extern void Gr_CrackLoops();
extern void Gr_ClearMarksOfDecomposedTrees();
extern void Gr_CleanOldPinRectangles();
extern void Gr_CleanSceneAfterAssignment();
extern void Gr_CleanUpRooms();
extern void Gr_Clean2();
extern void Gr_ClipHangingBranches();
extern void Gr_CopyPinRectangle();
extern void Gr_ConnectDummyCells();
extern void Gr_CreateApartments();
extern void Gr_CreateInitialSuperNodes();
extern void Gr_CreatePseudoBlock();
extern void Gr_CreateNet();
extern void Gr_CreateNewPinRectangle();
extern void Gr_CreateNewSubnet();
extern void Gr_CreatePseudoPin();
extern void Gr_CreateBnPseudoPin();
extern void Gr_CreatePsHBn();
extern void Gr_CreatePsVBn();
extern void Gr_CreateSimpleVirtualNet();
extern void Gr_CreateGreedyVirtualNet();
extern void Gr_CreateImaginaryPins();
extern void Gr_closepl();
extern void Gr_DecideDirectionsForPullOut();
extern void Gr_DecomposeNets();
extern void Gr_DeletePinsFromLinks();
extern void Gr_DeletePinsOfSubNetWhichSitInBtn();
extern void Gr_DeletePinsOfSuperNodeWhichSitInBtn();
extern void Gr_DetermineInternalNamesForBtn();
extern void Gr_DeterminePinsOfSuperNodeToPullOutFromBtn();
extern void Gr_DetermineWhichPinsAreInBtn();
extern void Gr_DetermineXPinsToDelete();
extern void Gr_DetermineYPinsToDelete();
extern void Gr_DropNetToBothRegions();
extern void Gr_DropNetToOneRegion();
extern void Gr_DrawBox();
extern void Gr_DrawNet();
extern void Gr_DrBlock();
extern void Gr_DrRealBlock();
extern void Gr_draw();
extern void Gr_erase();
extern void Gr_EstablishHardLinksForSortedPins();
extern void Gr_FillInPsBlocks();
extern void Gr_FillPsHBottlenecks();
extern void Gr_FillPsVBottlenecks();
extern void Gr_FillInPrincipalHole();
extern void Gr_FreeRegionLists();
extern void Gr_FreeDeadRegions();
extern void Gr_FreeBlocks();
extern void Gr_FreeBnLines();
extern void Gr_FreeAppartments();
extern void Gr_FreeNets();
extern void Gr_FreePins();
extern void Gr_FreeSortedPins();
extern void Gr_FreeAttachementsOfSubNet();
extern void Gr_FreeSubNets();
extern void Gr_InitAssign();
extern void Gr_InitializeNewRegions();
extern void Gr_InitializeLayer();
extern void Gr_MarkVerCut();
extern void Gr_MarkHorCut();
extern void Gr_PutInitialBoundBox();
extern void Gr_ReconnectPins();
extern void Gr_RelaxCapacities();
extern void Gr_TerminateListOfDeadRegions();
extern void Gr_UndoDoublePair();
extern void Gr_UnSet1Memor();
extern void Gr_UndoInternalPins();
extern void Gr_UpdateHoleBoundsForCriticalNets();
extern void Gr_UpdateCriticalNetStatus();

extern void Gr_InsertIdToBtnPPins();
extern void Gr_InsertImaginaryPinToPrincipalHole();
extern void Gr_InsertPseudoPinToHorzHoleBtn();
extern void Gr_InsertPseudoPinToVertHoleBtn();
extern void Gr_InsertXToPinRectangle();
extern void Gr_InsertYToPinRectangle();
extern void Gr_InsertXGeneral();
extern void Gr_InsertYGeneral();
extern void Gr_Transformation();
extern void Gr_ShortestPath();
extern void Gr_SetLinksForDummyCells();
extern void Gr_SetBtnSizes();
extern void Gr_SetMemoryForHoles();
extern void Gr_SetTargetsForVNet();
extern void Gr_Set2Memor();
extern void Gr_SetBoundBox();
extern void Gr_Setup1LAss();
extern void Gr_Setup2LAss();
extern void Gr_SelectOnePattern();
extern void Gr_SelectFourPattern();
extern void Gr_SelectSevenPattern();
extern void Gr_SplitRootTreeAtCutBranches();
extern void Gr_sgtext();
extern void Gr_UpdateBtnEstimates();
extern void Gr_UpdateBoundingBox();
extern void Gr_UpdateWeightsForResidentPins();
extern void Gr_FillHolesInVirtualNetsAfterAssignment();
extern void Gr_FillSolidTiles();
extern BearStatus GrFillHBottlenecks();
extern BearStatus GrFillVBottlenecks();
extern void Gr_GiveNamesToRootTreeNodes();
extern void Gr_openpl();
extern void Gr_PloBlocks();
extern void Gr_PloRealBlocks();
extern void Gr_PrepareNetForDrop();
extern void Gr_PrintAll_grPins();
extern void Gr_PrintBnLines();
extern void Gr_PrintBoundBox();
extern void Gr_PrintCurrentLengthsOfCriticalNets();
extern void Gr_PrDeadRegion();
extern void Gr_PrDeadRegionLists();
extern void Gr_PrintEndResults();
extern void Gr_PrintEstimatesInBtn();
extern void Gr_PrintFinalResult();
extern void Gr_PrintShade();
extern void Gr_Print_grPin();
extern void Gr_Print_grSortedPin();
extern void Gr_Print_grSuperNode();
extern void Gr_PrintRegion();
extern void Gr_PrintRooms();
extern void Gr_PrintRootTree();
extern void Gr_PrintPinRectangle();
extern void Gr_PrintSubNets();
extern void Gr_PrintVirtNet();
extern void Gr_PutApartment();
extern void Gr_PutJointBox();
extern void Gr_PutPseudoPinsToBtn();
extern void Gr_PutPseudoPinToOneSideOfBtn();
extern void Gr_PutTogetherSortedPins();
extern void Gr_PullDecomposeNets();
extern void Gr_PullCreateInitialSuperNodes();
extern void Gr_PullVirtNetFromDeadRegion();
extern void Gr_PullCreateSimpleVirtualNets();
extern void Gr_PullProcessAPinRectangle();
extern void Gr_PullOutPinsFromBtnForAssignment();
extern void Gr_PullOutPinsOfSuperNodeFromBtn();
extern void Gr_PushDownwardMultipleHoleAssignedNet();
extern void Gr_PushDownwardPartitionedNodes();
extern void Gr_prgrid();
extern BearStatus GrGeoRead();
extern void Gr_BlocksOut();
extern void Gr_MkeBitMap();
extern void Gr_MkePullVirtualNets();
extern void Gr_MkeRooms();
extern void Gr_MkeRootTree();
extern void Gr_MkeVirtualNets();
extern void Gr_MarkBlockRoomsInRegion();
extern void Gr_MarkCurrentBtnCut();
extern void Gr_MarkVertIntersectOfPinRectangle();
extern void Gr_MarkHorzIntersectOfPinRectangle();
extern void Gr_MergeVNetsAssignedToSameHoles();
extern void Gr_move();
extern void Gr_NECorner();
extern void Gr_NWCorner();
extern void Gr_SECorner();
extern void Gr_SWCorner();
extern void Gr_NameAndRemoveAllPinsOfSubNet();
extern void Gr_NameSuperNodesAfterVirtualNetsWereCreated();
extern void Gr_VertHoleAffiliation();
extern void Gr_Ramka();
extern void Gr_RealRamka();
extern void Gr_ReadAllBnLines();
extern void Gr_HorzHoleAffiliation();
extern void Gr_ReverseUpLeft();
extern void Gr_ReverseBotRight();
extern void Gr_XHardSplitPinRectangle();
extern void Gr_XSoftSplitPinRectangle();
extern void Gr_YHardSplitPinRectangle();
extern void Gr_YSoftSplitPinRectangle();

extern grSortedPin *Gr_CreateSortedPin();
extern grSortedPin *Gr_DeleteSortedPinFromXLinksInPinRectangle();
extern grSortedPin *Gr_DeleteSortedPinFromYLinksInPinRectangle();

extern grSuperNode *Gr_AllocateMemoryForNewSuperNode();

extern grPinRectangle *Gr_AllocateMemoryForNewPinRectangle();

extern grVirtNet *Gr_CreateNewVirtNet();
 
extern grPin *Gr_CreateGrPin();

extern grRegion *Gr_NextInLayer();
extern grRegion *Gr_CreateRegionForDeadRegion();

extern grRoom *Gr_GetTopRoom();
extern grRoom *Gr_GetRightRoom();
extern grRoom *Gr_GetBotRoom();
extern grRoom *Gr_GetLeftRoom();
extern grRoom *Gr_GetRoom();
extern grRoom *Gr_GetRoomForPPinPosition();
extern grRoom *Gr_IsSuccessfulExpansion();

extern grDeadRegion *Gr_CreateDeadRegion();



