
/* localRouter.h --
 *
 *     (Professor E. S. Kuh)
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header$
 */

#ifndef _LOCAL_ROUTER
#define _LOCAL_ROUTER

#ifndef bool
#define bool int
#endif

#include "bearStatus.h"
#include "lrBBLInfo.h"

extern module *Lr_InputChannel(/*fileName*/);
/*
 * char *filename;
 */

extern int Lr_OutputChannel(/*modPtr,cifFilePtr,scale*/);
/*
 * module *modPtr;
 * FILE *cifFilePtr;
 * int scale;
 */

extern BearStatus Lr_hchannel(/* modPtr, valuePtr */);
/*
 * module   *modPtr;
 * int      valuePtr;
 */

extern int Lr_GetChannelHeight(/* flag */);
/*
 * int flag;
 */

extern BearStatus Lr_Lchannel90(/*modPtr*/);
/*
 * module *modPtr;
 */


/* ---------- External global variables for the localRouter module ---------- */
extern bool lr_singleTermFlag;
extern bool lr_DebugFlag;

#endif _LOCAL_ROUTER

