
/* macPinItr.h --
 *
 *      June Wang
 *      Wei-ming Dai
 *      (Prof. E. S. Kuh)
 *
 * It declares the iterator related to pins.
 *
 * Copyright (C) 1986 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header: macPinItr.h,v 1.1 87/02/04 14:05:52 weiming Exp $
 */

#ifndef _MAC_PIN_ITR
#define _MAC_PIN_ITR /* once-only latch */

extern BearStatus Mac_ItrInstOfPin(/* master, func, clientData */);
/*
 * PinMaster  *master;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_ItrPinOfGraph(/* graph, func, clientData */);
/*
 * Gt_Graph   graph;
 * BearStatus (*func)();
 * ClientData clientData;
 */

extern BearStatus Mac_NumOfPinsOfGraph(/* graph, numPtr */);
/*
 * Gt_Graph   graph;
 * int        *numPtr;
 */

extern BearStatus Mac_NumOfPinsInPortListOfNet(/* netPtr, numPtr */);
/*
 * Net        *netPtr;
 * int        *numPtr;
 */

#endif _MAC_PIN_ITR

