
/* plArrays.h --
 *
 *     Bernhard Eschermann
 *     (Advising Professor - E. S. Kuh)
 *
 * Copyright (C) 1990 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header$
 */

#ifndef _NPL_ARRAYS
#define _NPL_ARRAYS /* once-only latch */

/* template function arrays */

extern Ncl_ShapeSet *(*(nplShapeFuncArray[]))();
extern void (*(nplTransOfChildrenFuncArray[]))();
extern void (*(nplDimOfNodeFuncArray[]))();
extern void (*(nplRoomExtOfNodeFuncArray[]))();

/* arrays of characteristic numbers of templates */

extern int  nplSymmetric[];
extern int  nplGoalAssignTable [][4];
extern int  nplDirectionTable [][4];

extern char *nplInDir[][MAX_CHILDREN][4];
extern char *nplNeighb[][MAX_CHILDREN][4];
extern char *nplRoutingInfo[];

#endif _NPL_ARRAYS

