


#include "grInt.h"

void Gr_PutApartment(gBlock)

grBlock *gBlock;

/*
	fills out appropriate rooms for block i 
*/

{

	int xv,yv,wv,hv,l,u,pom,xreal,yreal,i,a,b,c,d,flag;

	i=gBlock->name;
	flag=0;
	xv=gBlock->xvirt;
	yv=gBlock->yvirt;
	wv=gBlock->wvirt;
	hv=gBlock->hvirt;

	a=xv+1;
	b=xv+wv;
	c=yv+1;
	d=yv+hv;

	if ((gBlock->persona==2)||(gBlock->persona==3)||(gBlock->persona==4)
	||(gBlock->persona==5)) 
	{
		flag=1;
	}
	for (l=a;l<=b;l++)
	{
		for (u=c;u<=d;u++)
		{
			pom=Gr_WhoAmI(u,l);
			(gr_RoomPlan+pom)->who=i;
			(gr_RoomPlan+pom)->status=7;
			(gr_RoomPlan+pom)->xv=l;
			(gr_RoomPlan+pom)->yv=u;
			if (flag>0)
			{
				/* calculate centers */
				xreal=(gr_xcoord+l)->number;
				yreal=(gr_ycoord+u)->number;
				(gr_RoomPlan+pom)->c_x=xreal-(xreal-
				(gr_xcoord+l-1)->number)/2;
				(gr_RoomPlan+pom)->c_y=yreal-(yreal-
				(gr_ycoord+u-1)->number)/2;
				(gr_RoomPlan+pom)->status=0;
			}
		}
	}
}


void Gr_MkeRooms()

{

	int i,j,pom,xreal,yreal;
	grBlock *gBlock;
	grRoom *roomPtr;

	Gr_CreateApartments();

	gBlock=grHeadBlockPtr;

	while(gBlock!=NULL)
	{
		Gr_PutApartment(gBlock);
		gBlock=gBlock->nextBlockPtr;
	}

	for (j=1;j<=gr_totygrid;j++)
	{
		pom=gr_totxgrid*(j-1);
		for (i=1;i<=gr_totxgrid;i++)
		{
			roomPtr=(gr_RoomPlan+pom+i);
			if (roomPtr->who == 0)
			{
				xreal=(gr_xcoord+i)->number;
				yreal=(gr_ycoord+j)->number;
				roomPtr->xv = i;
				roomPtr->yv = j;

				roomPtr->c_x=xreal-(xreal-
				(gr_xcoord+i-1)->number)/2;
				roomPtr->c_y=yreal-(yreal-
				(gr_ycoord+j-1)->number)/2;
			}
		}
	}
}

int Gr_IsRoomBtn(row,col)

int row,col;

/*
	if room at row, col is a bottleneck = returns 1 
	is not => 0
*/

{
	grRoom *gRoom;

	gRoom=Gr_GetRoom(row,col);
	if (gRoom->who > grSolidTileCount)
	{
		return (1);
	}
	else
	{
		return (0);
	}
}

grRoom *Gr_GetRoom(row,col)

int row,col;
{
/*
	for given row,col returns pointer to corresponding room
*/

	grRoom *gRoom;

	gRoom=gr_RoomPlan+Gr_WhoAmI(row,col);

	return (gRoom);
}


