/* sccsid %W%  %G%  */
#include <stdio.h>
#include <math.h>
#include <sys/time.h>
#include <sys/resource.h>

/*
    ptime -- return a floating point number which represents the
    elasped processor time in seconds since the program started
*/

double ptime()
{
    struct rusage rusage; double time;
    getrusage(RUSAGE_SELF, &rusage);
    time = (float) rusage.ru_utime.tv_sec +
		(float) rusage.ru_utime.tv_usec/1.0e6;
    time += (float) rusage.ru_stime.tv_sec +
		(float) rusage.ru_stime.tv_usec/1.0e6;
    return (time);
}

