#ifndef _sort_h
#define _sort_h

#include "cpa.h"
#include "cpaList.h"
/* 
 * This structure is used to allow the sorting algorithm to sort
 * any type of structure as long as it has these fields.
 */
typedef struct _GENERIC {
    List *item;
    struct _GENERIC *next;
} Generic;

#define KEY(ptr) (((BNet *) (ptr)->item)->criticality)
#define G_NEXT(ptr) ((ptr)->next)
#define G_NIL ((Generic *) 0)

extern void MergeSort();

#endif _sort_h
