typedef union{
    int               i;    /* an integer      */
    char             *s;    /* a string        */
    struct _Pin      *p;    /* a pin           */
    struct _BNet     *bn;   /* a basic net     */
    struct _BChannel *bc;   /* a basic channel */
    struct _List     *l;    /* a generic list of items */
} YYSTYPE;
#define CHANNEL 258
#define HEIGHT  259
#define SPACING 260
#define TOP_L   261
#define BOTTOM_L    262
#define NET 263
#define PIN 264
#define IDENT   265
#define INTCONST    266
#define TOP_FIXED   267
#define BOTTOM_FIXED    268
#define BOTH_FIXED  269
#define NO_FIXED    270
#define LEFT    271
#define RIGHT   272
#define BOTH_EX 273
#define NO_EX   274


extern YYSTYPE yylval;
