/*
 * macGCellPrim.h --
 *
 *    Wei-Ming Dai 
 *
 *    Headers for accessors, modifiers, and presicates related 
 *    to generic cells.
 *
 * Copyright (C) 1987 Regents of the University of California
 * All rights reserved.
 *
 * rcsid $Header$
 */

#ifndef _MAC_GCELL_PRIM
#define _MAC_GCELL_PRIM

extern LinkedRect *Mac_GetHorzRectListOfGCell(/* gcellPtr */);  
/*
 * GenericCell  *gcellPtr;
 */

extern void Mac_PutHorzRectListOfGCell(/* horzRectList, gcellPtr */);  
/*
 * LinkedRect   *horzRectList;
 * GenericCell  *gcellPtr;
 */

extern LinkedRect *Mac_GetVertRectListOfGCell(/* gcellPtr */);  
/*
 * GenericCell  *gcellPtr;
 */

extern void Mac_PutVertRectListOfGCell(/* vertRectList, gcellPtr */);  
/*
 * LinkedRect   *vertRectList;
 * GenericCell  *gcellPtr;
 */

extern Transform *Mac_GetTransformOfGCell(/* gcellPtr */);
/*
 * GenericCell  *gcellPtr;
 */

extern void Mac_PutTransformOfGCell(/* transformPtr, gcellPtr */);
/*
 * Transform    *transformPtr; 
 * GenericCell  *gcellPtr;
 */

extern BearId Mac_GetIdOfGCell(/* gcellPtr */);
/*
 * GenericCell  *gcellPtr;
 */

extern void Mac_PutIdOfGCell(/* bearId, gcellPtr */);
/*
 * BearId       bearId;
 * GenericCell  *gcellPtr;
 */

#endif _MAC_GCELL_PRIM
