
/* pbDetour.h --
 *
 *     S. Solden
 *     (Advising Professor - E. S. Kuh)
 *
 * Needs: tileMapping.h
 *
 * Copyright (C) 1988 Regents of the University of California
 * All rights reserved.
 */

#ifndef PB_DETOUR
#define PB_DETOUR

#ifndef _TILEMAPPING
int err1 = Need_to_include_tileMapping_header;
#endif _TILEMAPPING

typedef struct _DCellsAroundRCell DCellsAroundRCell;
struct _DCellsAroundRCell {
   LinkedTile   *TRptr;
   Point        *TRpoint;
   LinkedTile   *TLptr;
   Point        *TLpoint;
   LinkedTile   *BRptr;
   Point        *BRpoint;
   LinkedTile   *BLptr;
   Point        *BLpoint;
};

extern void                 DefineAdjacentDummyCells();
extern void                 DetourAroundDCells();
extern PinsAroundJunction   *Pb_PinsAroundDCells();
extern void                 AppendLists();

#endif PB_DETOUR


