
#ifndef _RDB_SHOW
#define _RDB_SHOW

extern BearStatus Rdb_DrawRMod(/* rModPtr, winDataPtr */);
/* 
 * module     *rModPtr;
 * WindowData *winDataPtr;
 */

extern BearStatus Rdb_DrawRCell(/* rcellPtr, winDataPtr */);
/*
 * RouteCell  *rcellPtr;
 * WindowData *winDataPtr;
 */

extern BearStatus Rdb_DrawRing(/* ringPtr, transformPtr,winDataPtr */);
/*
 * Ring       *ringPtr;
 * Transform  *transformPtr;
 * WindowData *winDataPtr;
 */

extern int Rdb_DrawJunctBound(/* rModPtr, winDataPtr */);
/* 
 * module     *rModPtr;
 * WindowData *winDataPtr;
 */

extern BearStatus Rdb_DrawRJunct(/* rJunctPtr, winDataPtr */);
/* 
 * rjun       *rJunctPtr;
 * WindowData *winDataPtr;
 */

extern BearStatus Rdb_DrawRSegm(/* rSegmPtr, winDataPtr */);
/* 
 * rseg       *rSegmPtr;
 * WindowData *winDataPtr;
 */


extern BearStatus Rdb_DrawRTerm(/* rTermPtr, clientData */);
/* 
 * term       *rTermPtr;
 * ClientData clientData;
 */

extern BearStatus Rdb_PrintRTerm(/* rTermPtr, clientData */);
/* 
 * term       *rTermPtr;
 * ClientData clientData;
 */

extern BearStatus Rdb_PrintRJunct(/* rJunctPtr, clientData */);
/* 
 * rjun       *rJunctPtr;
 * ClientData clientData;
 */

extern BearStatus Rdb_PrintRSegm(/* rSegmPtr, clientData */);
/* 
 * rseg       *rSegmPtr;
 * ClientData clientData;
 */

#endif _RDB_SHOW

